| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Namespaces
smart_pointer.hpp File Reference
Private

template class implementing memory efficient smart pointer More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Classes
class | libdar::smart_node< T >
| class which holds the address of the allocated memory for many smart_pointers More...
class | libdar::smart_pointer< T >
| smart pointer class to be used to automagically manage multiple time pointed to address More...

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

template class implementing memory efficient smart pointer

Note
  Why not using std::shared_ptr? because I needed to have a warranty on the scalability in term of max number of smart_pointers that can be bound to an object

Definition in file smart_pointer.hpp.